# PIGNOSE Calender

View project on Github Download zip

### Calender

#### PIGNOSE Calender is beautiful and eidetic jQuery date picker plguin.

### Multi range Calender

#### PIGNOSE Calender supports multiple range picker.

### Toogle Calender

#### You can toggle date and get those dates as array.

### I18N Support

#### PIGNOSE Calender supports various languages.

##### Korean

##### Germany

##### Chinese

##### Supported languages

en ko fr ch de jp

### Dependency

#### This plugin has dependencies some javascript library.

Check belows and import it.

- jQuery core library
- Moment library

### Options

name | type | description | default
--- | --- | --- | ---
lang | string | A language to set to the Calender. | en
toggle | boolean | If you set true this option, You can use toggle on your Calender. | false
multiple | boolean | If you set true this option, You can use multiple picker on your Calender. | false
select | function | This callback will be called when you select a date on calender. |

### Methods

#### You can use the method like $element.hypermodel('Method Name', arguments); format.

name | type | description
--- | --- | ---
select | function | You can click day by using this method, First argument must be integer type.

### bower

> If you use bower.

    bower install pg-calender

### npm

> If you use npm.

    npm install pg-calender

### sample

    <div class="calender"></div>

    $(function() {
        $('.calender').pignoseCalender({
    		lang: 'en'
    	});
    });